



# -----------------------------------
# test - enumerate
# -----------------------------------

- classname: _enumerate
  keyname: enumerate_test
  displayname: "Enumerate Test ABCDE"
  description: "Enumerate Test ABCDE"
  content: |
    - value: "A"
      long: "A - OK"
      #is_enabled: True
      widget: "green_circle"
      num: 1
      description: "Use if perfect"
      enumstring: string AAA
      enumint: int 111
      enumfloat: float 111.1
      enumboolean: boolean no

    - value: "B"
      long: "B - Good"
      widget: "yellow_circle"
      num: 2
      enumstring: string BBB
      enumint: int 222
      enumfloat: float 222.2
      enumboolean: boolean no

    - value: "C"
      long: "C - Medium"
      widget: "orange_circle"
      num: 3
      enumstring: string CCC
      enumint: int 333
      enumfloat: float 333.3
      enumboolean: boolean no

    - value: "D"
      long: "D - Bad"
      widget: "red_circle"
      num: 4

    - value: "E"
      long: "E - Alert"
      widget: "black_circle"
      num: 5

    - value: "n/a"
      long: "n/a"
      widget: "white_circle"
      enumstring: string ZZZ
      enumint: int 999
      enumfloat: float 99.99
      enumboolean: boolean yes

    - value: "?"
      long: "? - check"
      description: "Unknown/Check"
      widget: "blue_circle"
      enumboolean: boolean yes

    - value: "complex"
      widget: 'html <span class="badge bg-dark">Widget</span> &nbsp;'
      enumstring: string test_enum_string
      enumint: int 123
      enumfloat: float 99.95
      enumboolean: boolean no



# # --------------------------------
# # enumerate
# # --------------------------------


# - classname: _enumerate
#   keyname: enumerate_test
#   displayname: "Enumerate Test ABCDE"
#   description: "Enumerate Test ABCDE"
#   content: |
#     - value: "A"
#       long: "A - OK"
#       #is_enabled: True
#       widget: "green_circle"
#       num: 1
#       description: "Use if perfect"
#       enumstring: string AAA
#       enumint: int 111
#       enumfloat: float 111.1
#       enumboolean: boolean no

#     - value: "B"
#       long: "B - Good"
#       widget: "yellow_circle"
#       num: 2
#       enumstring: string BBB
#       enumint: int 222
#       enumfloat: float 222.2
#       enumboolean: boolean no

#     - value: "C"
#       long: "C - Medium"
#       widget: "orange_circle"
#       num: 3
#       enumstring: string CCC
#       enumint: int 333
#       enumfloat: float 333.3
#       enumboolean: boolean no

#     - value: "D"
#       long: "D - Bad"
#       widget: "red_circle"
#       num: 4

#     - value: "E"
#       long: "E - Alert"
#       widget: "black_circle"
#       num: 5

#     - value: "n/a"
#       long: "n/a"
#       widget: "white_circle"
#       enumstring: string ZZZ
#       enumint: int 999
#       enumfloat: float 99.99
#       enumboolean: boolean yes

#     - value: "?"
#       long: "? - check"
#       description: "Unknown/Check"
#       widget: "blue_circle"
#       enumboolean: boolean yes

#     - value: "complex"
#       widget: 'html <span class="badge bg-dark">Widget</span> &nbsp;'
#       enumstring: string test_enum_string
#       enumint: int 123
#       enumfloat: float 99.95
#       enumboolean: boolean no
